## mooproxy 0.1.3

=== Makefile ===
CFLAGS += -Wall -g
LFLAGS = -Wall -lcrypt
BINDIR = /usr/local/bin
MANDIR = /usr/local/share/man/man1

OBJS = mooproxy.o misc.o config.o daemon.o world.o network.o command.o \
	mcp.o log.o accessor.o timer.o resolve.o crypt.o line.o panic.o \
	recall.o

all: mooproxy

mooproxy: $(OBJS)
	$(CC) $(LFLAGS) $(OBJS) -o mooproxy
#	strip mooproxy

clean:
	rm -f *.o core *.core mooproxy

install: mooproxy
	install -d $(BINDIR) $(MANDIR)
	install mooproxy $(BINDIR)
	install mooproxy.1 $(MANDIR)

## mooproxy 1.0.0

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,12 @@
 	$(CC) $(LFLAGS) $(OBJS) -o mooproxy
 #	strip mooproxy
 
+# If a header file changed, maybe some data formats changed, and all object
+# files using it must be recompiled.
+# Rather than mapping the actual header-usage relations, we just recompile
+# all object files when any header file changed.
+*.o: *.h
+
 clean:
 	rm -f *.o core *.core mooproxy

=== debian/changelog ===
mooproxy (1.0.0-1ubuntu1) oneiric; urgency=low

  * change to source format 3.0 (quilt) 
  * debian/patches/fix_as_needed_build.patch:
    - patch Makefile to fix build with ld --as-needed (LP: #770784) 

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 22 Aug 2011 20:45:21 +0200

mooproxy (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Marcel Moreaux <marcelm@qvdr.net>  Fri, 11 Feb 2011 22:49:31 +0100

mooproxy (0.1.3-1) unstable; urgency=low

  * Initial release, closes: #586108.

 -- Marcel Moreaux <marcelm@luon.net>  Wed, 16 Jun 2010 16:08:04 +0200

=== debian/control ===
Source: mooproxy
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcel Moreaux <marcelm@qvdr.net>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.9.1

Package: mooproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A buffering proxy for MOO connections
 Mooproxy is a buffering proxy for MOOs (a class of text-based RPGs,
 descending from MUDs). The MOO client connects to mooproxy, and mooproxy
 connects to the MOO server.
 .
 Mooproxy keeps you connected to the MOO server if the client disconnects
 (voluntarily, because of network problems, because the client crashes,
 because of a power outage, etc).
 .
 Mooproxy also provides centralised logging, buffers text when the client
 isn't connected, and provides context when the client does connect.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -d $(CURDIR)/debian/mooproxy/usr/bin
	install mooproxy $(CURDIR)/debian/mooproxy/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
#	dh_install
	dh_installman mooproxy.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
